[package]
name = "preserves-schema-macros"
version = "0.992.1"
authors = ["Tony Garnock-Jones <tonyg@leastfixedpoint.com>"]
edition = "2018"
description = "Implementation of Preserves Schema code generation macros for Rust."
homepage = "https://preserves.dev/"
repository = "https://gitlab.com/preserves/preserves"
license = "Apache-2.0"

[lib]
proc-macro = true

[dependencies]
preserves = { path = "../preserves", version = "4.992.1" }
preserves-schema = { path = "../preserves-schema", version = "5.992.0" }

proc-macro2 = { version = "1", features = ["span-locations"] }
quote = "1"
syn = { version = "2", features = ["parsing", "extra-traits", "full"] }

[package.metadata.workspaces]
independent = true
